﻿* Encoding: UTF-8.
DATASET ACTIVATE DataSet1.
RECODE Write1 Write2 Write3 Write4 Write5 Write6 Write7 Write8 Trans1 Trans2 Trans3 Trans4 Trans5 
    Trans6 Trans7 Trans8 Read1 Read2 Read3 Read4 Read5 Read6 Read7 Read8 (1=1) (2=1.5) (3=2) (4=2.5) 
    (5=3) (6=3.5) (7=4) (SYSMIS=SYSMIS) INTO Write1_4 Write2_4 Write3_4 Write4_4 Write5_4 Write6_4 
    Write7_4 Write8_4 Trans1_4 Trans2_4 Trans3_4 Trans4_4 Trans5_4 Trans6_4 Trans7_4 Trans8_4 Read1_4 
    Read2_4 Read3_4 Read4_4 Read5_4 Read6_4 Read7_4 Read8_4.
EXECUTE.
* Converting all the items measured on a 7-point scale to a 4-point scale
    
RECODE Write1.1 Write2.1 Write3.1 Trans1.1 Read1.1 (1=1) (2=3) (3=5) (4=7) (SYSMIS=SYSMIS) INTO 
    Write1.1_7 Write2.1_7 Write3.1_7 Trans1.1_7 Read1.1_7.
EXECUTE.
* Converting all the items measured on a 4-point scale to a 7-point scale
    
RELIABILITY
  /VARIABLES=Write1 Write2 Write3 Write4 Write5 Write6 Write7 Write8
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.
* Calculating Cronbach's Alpha (.93) for the original items about writing filled out by year 2 and year 3 students
    
RELIABILITY
  /VARIABLES=Write1.1 Write2.1 Write3.1
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.
* Calculating Cronbach's Alpha (.64) for the original items about writing filled out by year 1 students. If item Write 3.1 is dropped, Alpha will increase to .76
    
COMPUTE SC_WRITE_7=MEAN(Write1,Write2,Write3,Write4,Write5,Write6,Write7,Write8).
EXECUTE.
* Computing a scale variable for writing on a 7-point scale (year 2 and 3). For the year 1 students, the mean of items Write1.1_7 and Write2.1_7 was added manually.

COMPUTE SC_WRITE_4=MEAN(Write1_4,Write2_4,Write3_4,Write4_4,Write5_4,Write6_4,Write7_4,Write8_4).
EXECUTE.
* Computing a scale variable for writing on a 4-point scale (year 2 and 3). For the year 1 students, the mean of items Write1.1 and Write2.1 was added manually.

RELIABILITY
  /VARIABLES=Trans1 Trans2 Trans3 Trans4 Trans5 Trans6 Trans7 Trans8
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.
* Calculating Cronbach's Alpha (.93) for the original items about translating filled out by year 2 and year 3 students
 
COMPUTE SC_TRANS_7=MEAN(Trans1,Trans2,Trans3,Trans4,Trans5,Trans6,Trans7,Trans8).
EXECUTE.
* Computing a scale variable for translating on a 7-point scale (year 2 and 3). For the year 1 students, the values for the item Trans1.1_7 were copied manually.

COMPUTE SC_TRANS_4=MEAN(Trans1_4,Trans2_4,Trans3_4,Trans4_4,Trans5_4,Trans6_4,Trans7_4,Trans8_4).
EXECUTE.
* Computing a scale variable for translating on a 4-point scale (year 2 and 3). For the year 1 students, the values for the item Trans1.1 were copied manually.

RELIABILITY
  /VARIABLES=Read1 Read2 Read3 Read4 Read5 Read6 Read7 Read8
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.
* Calculating Cronbach's Alpha (.95) for the original items about reading filled out by year 2 and year 3 students
    
COMPUTE SC_READ_7=MEAN(Read1,Read2,Read3,Read4,Read5,Read6,Read7,Read8).
EXECUTE.
* Computing a scale variable for translating on a 7-point scale (year 2 and 3). For the year 1 students, the values for the item Read1.1_7 were copied manually.

COMPUTE SC_READ_4=MEAN(Read1_4,Read2_4,Read3_4,Read4_4,Read5_4,Read6_4,Read7_4,Read8_4).
EXECUTE.
* Computing a scale variable for translating on a 7-point scale (year 2 and 3). For the year 1 students, the values for the item Read1.1 were copied manually.

EXAMINE VARIABLES=SC_WRITE_7 SC_TRANS_7 SC_READ_7 BY YEAR
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
* Exploring the 7-point averages visually. Since the variables are not normally distributed, it will be necessary to use non-parametric tests.
    
EXAMINE VARIABLES=SC_WRITE_4 SC_TRANS_4 SC_READ_4 BY YEAR
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
* Exploring the 7-point averages visually. Since the variables are not normally distributed, it will be necessary to use non-parametric tests.

COMPUTE SC_ALLTASKS_7=MEAN(SC_WRITE_7,SC_TRANS_7,SC_READ_7).
EXECUTE.
* Calculating the average across learning tasks on a 7-point scale
    
COMPUTE SC_ALLTASKS_4=MEAN(SC_WRITE_4,SC_TRANS_4,SC_READ_4).
EXECUTE.
* Calculating the average across learning tasks on a 4-point scale

EXAMINE VARIABLES=SC_ALLTASKS_7 SC_ALLTASKS_4 BY YEAR
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
* Exploring the 4- and 7-point averages across learning tasks visually. 

NPTESTS 
  /INDEPENDENT TEST (SC_WRITE_7 SC_TRANS_7 SC_READ_7) GROUP (YEAR) KRUSKAL_WALLIS(COMPARE=PAIRWISE)     
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.
* Performing Kruskal-Wallis tests for writing, translating and reading separately (7-point scale). 

NPAR TESTS
  /K-W=SC_WRITE_7 SC_TRANS_7 SC_READ_7 BY YEAR(1 3)
  /STATISTICS DESCRIPTIVES 
  /MISSING ANALYSIS.
* Generating descriptive statistics (mean ranks) for the previous test.

NPTESTS 
  /INDEPENDENT TEST (SC_WRITE_4 SC_TRANS_4 SC_READ_4) GROUP (YEAR) KRUSKAL_WALLIS(COMPARE=PAIRWISE)     
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.
* Performing Kruskal-Wallis tests for writing, translating and reading separately (4-point scale). 

NPAR TESTS
  /K-W=SC_WRITE_4 SC_TRANS_4 SC_READ_4 BY YEAR(1 3)
  /STATISTICS DESCRIPTIVES 
  /MISSING ANALYSIS.
* Generating descriptive statistics (mean ranks) for the previous test.

NPTESTS 
  /RELATED TEST(SC_WRITE_7 SC_TRANS_7 SC_READ_7) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.
* Performing a Friedman's ANOVA to test for differences between learning tasks across years (7-point scale). 

NPAR TESTS
  /FRIEDMAN=SC_WRITE_7 SC_TRANS_7 SC_READ_7
  /STATISTICS DESCRIPTIVES 
  /MISSING LISTWISE.
* Generating descriptive statistics (mean ranks) for the previous test.

NPTESTS 
  /RELATED TEST(SC_WRITE_4 SC_TRANS_4 SC_READ_4) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.
* Performing a Friedman's ANOVA to test for differences between learning tasks across years (4-point scale). 

NPAR TESTS
  /FRIEDMAN=SC_WRITE_4 SC_TRANS_4 SC_READ_4
  /STATISTICS DESCRIPTIVES 
  /MISSING LISTWISE.
* Generating descriptive statistics (mean ranks) for the previous test.

GRAPH
  /LINE(MULTIPLE)=MED(SC_TRANS_7) MED(SC_READ_7) MED(SC_WRITE_7) BY YEAR    
  /MISSING=LISTWISE.
* Visualizing the results

